cudasynth
Prev | Experimental Orchestra Opcodes and GEN Routines | Next

## cudasynth

cudasynth — Synthesis by additive synthesis and inverse FFT. Experimental and only available as source code at the moment.

## Description

Synthesis by additive synthesis and inverse FFT.

## Syntax

    asig cudasynth kamp, kfreq, itab, iftab, iatab[, inum]

    asig cudasynth fsig, kamp, kfreq[, inum]

    asig cudasynth fsig

## Initialization

itab --

iftab --

iatab --

inum -- (optional)

## Performance

kamp --

kfreq --

fsig --

## Examples

Here is an example of the cudasynth opcode. It uses the file cudasynth.csd.

Example 1276. Example of the cudasynth opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac      ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o cudsyth.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 64
    nchnls = 1
    0dbfs = 1

    i1 ftgen 1,0,512,7,1,512,0.001
    i2 ftgen 2,0,512,-7,1,512,512
    i3 ftgen 3,0,16384,10,1
    schedule 1,0,10

    instr 1
    a1 cudasynth 0.001, 100,0, 2, 1,128
        out a1

    endin
    </CsInstruments>
    <CsScore>
    e 10
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Victor Lazzarini
2013

New in version 6.02

Prev | Up | Next
cudanal | Home | cudasliding